Currie vs GHA RFC · Premiership escocesa
Premiership escocesa · 2025-26Finalizado

61–43

Crónica
Currie se impuso a GHA RFC por 61-43 en Currie (Malleny Park) el sábado, 18 de octubre de 2025 (Premiership escocesa, jornada 8).
GHA RFC encadena tres derrotas seguidas.
Texto generado automáticamente a partir de los datos del partido; se actualiza con los resultados.
Cara a cara
5
victorias de Currie (71 %)
0
Empates (0 %)
2
victorias de GHA RFC (29 %)
Últimos 7 enfrentamientos, desde septiembre de 2021
Mayor victoria de Currie
45–0
18 sept 2021
Mayor victoria de GHA RFC
29–24
31 oct 2026
Últimos 5 enfrentamientos
- 31 oct 2026 · Premiership escocesaCurrie24GHA RFC2931 oct 2026Currie24–29GHA RFCPremiership escocesa
- 31 ene 2026 · Premiership escocesaGHA RFC29Currie2431 ene 2026GHA RFC29–24CurriePremiership escocesa
- 18 oct 2025 · Premiership escocesaCurrie61GHA RFC4318 oct 2025Currie61–43GHA RFCPremiership escocesa
- 28 ene 2023 · Premiership escocesaGHA RFC22Currie3528 ene 2023GHA RFC22–35CurriePremiership escocesa
- 24 sept 2022 · Premiership escocesaCurrie43GHA RFC4024 sept 2022Currie43–40GHA RFCPremiership escocesa